> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a file upload link

> Fetch the upload link of the specified file (BLOB)



## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/fleets/v1/blobs/{uuid}/upload
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/blobs/{uuid}/upload:
    get:
      tags:
        - Files
      summary: Get a file upload link
      description: Fetch the upload link of the specified file (BLOB)
      operationId: getBlobUpload
      parameters:
        - name: uuid
          in: path
          description: The UUID of the file's corresponding BLOB
          required: true
          schema:
            type: string
        - name: blobAccess
          in: header
          description: The BLOB's secret
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The BLOB upload link
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlobUrl'
              examples:
                download:
                  value:
                    type: upload
                    uuid: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
                    url: http://upload-link.com/example
        '403':
          description: Access to the BLOB has been denied
        '404':
          description: BLOB could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    BlobUrl:
      type: object
      required:
        - uuid
        - url
      properties:
        uuid:
          type: string
          format: uuid
          example: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        url:
          type: string
          format: url
          example: http://example.com/aeiou
        headers:
          type: object
          additionalProperties:
            type: string
        type:
          type: string
          enum:
            - download
            - upload
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````